unit cbardemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Thubar39, Spin, ExtCtrls, thucobar;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    PrintDialog1: TPrintDialog;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    Edit1: TEdit;
    Edit2: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label7: TLabel;
    Label8: TLabel;
    HUCodeBar1: THUCodeBar;
    HUCodeBar2: THUCodeBar;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses Printers;

procedure TForm1.Button1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.Button2Click(Sender: TObject);

begin
  if PrintDialog1.Execute Then Begin
    with Printer Do Begin
     BeginDoc;
      Canvas.Draw(HUCodeBar1.Left*3,HUCodeBar1.Top*3,HUCodeBar1.Picture.Graphic);
      Canvas.Draw(HUCodeBar2.Left*3,HUCodeBar2.Top*3,HUCodeBar2.Picture.Graphic);
     EndDoc;
    end;
  end;

end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  case SpinEdit1.Value of
   1: begin
       HUCodeBar1.PrintRate:=PR1;
       HUCodeBar2.PrintRate:=PR1;
      end;
   2: begin
       HUCodeBar1.PrintRate:=PR2;
       HUCodeBar2.PrintRate:=PR2;
      end;
   3: begin
       HUCodeBar1.PrintRate:=PR3;
       HUCodeBar2.PrintRate:=PR3;
      end;
   4: begin
       HUCodeBar1.PrintRate:=PR4;
       HUCodeBar2.PrintRate:=PR4;
      end;
   5: begin
       HUCodeBar1.PrintRate:=PR5;
       HUCodeBar2.PrintRate:=PR5;
      end;
  end;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  case SpinEdit2.Value of
   1: begin
       HUCodeBar1.BarcodeHeight:=bheight1;
       HUCodeBar2.BarcodeHeight:=bheight1;
      end;
   2: begin
       HUCodeBar1.BarcodeHeight:=bheight2;
       HUCodeBar2.BarcodeHeight:=bheight2;
      end;
   3: begin
       HUCodeBar1.BarcodeHeight:=bheight3;
       HUCodeBar2.BarcodeHeight:=bheight3;
      end;
   4: begin
       HUCodeBar1.BarcodeHeight:=bheight4;
       HUCodeBar2.BarcodeHeight:=bheight4;
      end;
   5: begin
       HUCodeBar1.BarcodeHeight:=bheight5;
       HUCodeBar2.BarcodeHeight:=bheight5;
      end;
  end;

end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  HUCodeBar1.BarStr:=Edit1.Text;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  HUCodeBar2.BarStr:=Edit2.Text;
end;

procedure TForm1.Edit3Change(Sender: TObject);
begin
    HUCodeBar1.HeadStr:=Edit3.Text;
end;

procedure TForm1.Edit4Change(Sender: TObject);
begin
    HUCodeBar2.HeadStr:=Edit4.Text;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  Self.SpinEdit1Change(Sender);
  Self.SpinEdit2Change(Sender);
  Self.Edit1Change(Sender);
  Self.Edit2Change(Sender);
  Self.Edit3Change(Sender);
  Self.Edit4Change(Sender);
  Self.ComboBox1Change(Sender);
  Self.ComboBox2Change(Sender);
end;


procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  case ComboBox1.Text[1] of
    'A': HUCodeBar1.FirstWord:=A;
    'B': HUCodeBar1.FirstWord:=B;
    'C': HUCodeBar1.FirstWord:=C;
    'D': HUCodeBar1.FirstWord:=D;
  end;
  case ComboBox1.Text[1] of
    'A': HUCodeBar2.FirstWord:=A;
    'B': HUCodeBar2.FirstWord:=B;
    'C': HUCodeBar2.FirstWord:=C;
    'D': HUCodeBar2.FirstWord:=D;
  end;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  case ComboBox2.Text[1] of
    'A': HUCodeBar1.LastWord:=A;
    'B': HUCodeBar1.LastWord:=B;
    'C': HUCodeBar1.LastWord:=C;
    'D': HUCodeBar1.LastWord:=D;
  end;
  case ComboBox2.Text[1] of
    'A': HUCodeBar2.LastWord:=A;
    'B': HUCodeBar2.LastWord:=B;
    'C': HUCodeBar2.LastWord:=C;
    'D': HUCodeBar2.LastWord:=D;
  end;
end;

end.
